Subject: [os2genau_digest] No. 523
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 15 Jan 2003 00:02:03 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 14 January 2003
 Number  523
**************************************************

Subjects for today
 
1  [os2genau] Slightly OT  Sharing internet modem dialup : Michael Peters" <mpeters at austarnet dot com dot au>
2  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Gregory Hicks" <ghicks at ihug dot com dot au>
4  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Gregory Hicks" <ghicks at ihug dot com dot au>

**= Email   1 ==========================**

Date:  Tue, 14 Jan 2003 18:26:47 +1100 (EDT)
From:  "Michael Peters" <mpeters at austarnet dot com dot au>
Subject:  [os2genau] Slightly OT  Sharing internet modem dialup

   My wife who does all her work with WindowsXT is now on the net far
more than I am with eCS. We live in the bush and manage a heap of
business, libraries, Tatts, etc this way. Because of the disposition of 
the boxes it is preferable to dial up from the eay to get to WinXT machine. 
We are on a local lan with the WinXT box the gateway to other Win98 and
2000 boxes as well as mine. Hitherto we dialled out via Injoy, but this
is now inconvenient . So... how do I share the modem with WinXT.
Do I have to soxify the TCPIP install in eCS or is there another way.
I could not find any help in this matter on your site Ian.

Many thanks,

Mike Peters 

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 14 Jan 2003 19:57:08 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

I'm hoping you are referring to Windows XP and not Windows 3.1 on a
PCXT machine !!  Or is this Windows NT ??

You know with all these different version of microsoft OSes and
applications it's no wonder people get the names muddled up !

You also need to clarify what you meant to type when you type:

  it is preferable to dial up from the eay to get to WinXT machine

What should "eay" have been ??

INJOY
=====
  Runs under OS/2 or eCS. 
  Supports OS/2, eCS, Windows, Apple, Linux etc. clients.
  Has built-in "internet connection sharing". 

  I presume from what you said before, you have simply used one PC
(with Injoy) to dialup to the internet.

  You should enable internet sharing (sorry can't remember what its
called in Injoy, I haven't used it for a while) and "dial on demand"
so that your ISP is only called when needed and the link is dropped
once no-one needs it. If you have the non-registered version you can
support 2 additional PCs along with your "gateway" or router PC (the
one with Injoy and the modem). If you register the software it comes
in 5 user, 10 user, 20 user versions. You should register Bjarn has
written a good set of programs anf deserves support - you can find
the local agent or register direct at http://www.fx.dk  

  Now onto your LAN config. You have to assign manually an IP
address to all of your PCs. So give the LAN card in the gateway PC
an address 192.168.1.1 subnet mask 255.255.255.0 no default route,
Your wifes PC 192.168.1.2 subnet 255.255.255.0 default
router/gateway 192.168.1.1, your childs PC 192.168.1.3 subnet
255.255.255.0 default gateway 192.168.1.1 and so on ....

Configure your ISP's DNS on all machines.

  Configure Injoy dialer to support IP masquading, dial-on-demand,
set the timeout to say 5 minutes. If you don't have doco on how to
do this, it's on http://www.fx.dk

  Restart all PCs and test access, all should be able to access the
internet concurrently and after the last one disconnects, the phone
line will drop 5 minutes later (feel free to adjust the disconnect
delay, especially if you're calling STD, but you don't wan't it
dropping too soon and then having to connect again as someone went
away from their PC to the phone or for whatever other reason).

  In short if I understood correctly what you wanted to do, you
actually already have the resources.

  It is also possible to set something up using Win98 or XP as the
gateway but this is not a Windows list and such a solution might not
support your eCS machine anyway.

Cheers/2

Ed.

Michael Peters wrote:
> 
> 
>    My wife who does all her work with WindowsXT is now on the net far
> more than I am with eCS. We live in the bush and manage a heap of
> business, libraries, Tatts, etc this way. Because of the disposition of
> the boxes it is preferable to dial up from the eay to get to WinXT machine.
> We are on a local lan with the WinXT box the gateway to other Win98 and
> 2000 boxes as well as mine. Hitherto we dialled out via Injoy, but this
> is now inconvenient . So... how do I share the modem with WinXT.
> Do I have to soxify the TCPIP install in eCS or is there another way.
> I could not find any help in this matter on your site Ian.
> 
> Many thanks,
> 
> Mike Peters
> 

>  

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 14 Jan 2003 19:25:16 +1050
From:  "Gregory Hicks" <ghicks at ihug dot com dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

either way it sucks and blows... i use it at work and sometimes the system gets unstable...

PGP Public Key Fingerprint: DA47 AC92 7FA3 A74B  F8C4 E19A 2457 0585

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Tue, 14 Jan 2003 19:27:14 +1050
From:  "Gregory Hicks" <ghicks at ihug dot com dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

>
>INJOY
>=====
>  Runs under OS/2 or eCS. 
>  Supports OS/2, eCS, Windows, Apple, Linux etc. clients.
>  Has built-in "internet connection sharing". 
>

try "IP Forwarding" which is the right term for it

PGP Public Key Fingerprint: DA47 AC92 7FA3 A74B  F8C4 E19A 2457 0585

----------------------------------------------------------------------------------